package gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import commandSystem.ElevatorListener;


@SuppressWarnings("serial")
class FloorPanels extends JPanel {
	private int nbFloors;
	private JPanel[] floors;

	public FloorPanels(int nbFloors, ElevatorListener l) {
		this.nbFloors = nbFloors;
		floors = new JPanel[nbFloors];
		this.setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));
		this.add(new JLabel("Call."));
		for (int i = 0; i < nbFloors; i++) {
			floors[i] = new JPanel();
			floors[i].setLayout(new BoxLayout(floors[i], BoxLayout.LINE_AXIS));
			floors[i].add(new JLabel("" + (i + 1)));
			if (i < nbFloors - 1) {
				JButton upButton = new JButton("↑");
				floors[i].add(upButton);
			}
			if (i > 1) {
				JButton downButton = new JButton("↓");
				floors[i].add(downButton);
			}
			this.add(floors[i]);
		}
	}
}
